%global pypi_name netdiff
%global sum Python library for parsing network topology data and detect changes
# Python 3 only for Fedora for now.
%if 0%{?fedora} > 12
%global with_python3 1
%endif

%if 0%{?fedora} > 23
%global python2_networkx 1
%endif

%if 0%{?el7}
%global old_python_prefix 1
%endif

%if 0%{?el7}
%global python_requests 1
%endif

Name:           python-%{pypi_name}
Version:        0.4.7
Release:        10%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://github.com/ninuxorg/netdiff
Source0:        https://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz


BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-libcnml
# python2-mock is missing, see https://bugzilla.redhat.com/show_bug.cgi?id=1301766
BuildRequires:  python2-mock
#python2-networkx's name is python-networkx in Fedora < 24
%if 0%{?python2_networkx}
BuildRequires:  python2-networkx
%endif
%if 1%{?python2_networkx}
BuildRequires:  python-networkx
%endif
%if 0%{?old_python_prefix}
BuildRequires:  python-nose
%else
BuildRequires:  python2-nose
%endif
%if 0%{?old_python_prefix}
BuildRequires:  python-requests
%else
BuildRequires:  python2-requests
%endif
BuildRequires:  python2-responses
# python2-six is missing, see https://bugzilla.redhat.com/show_bug.cgi?id=1342037
BuildRequires:  python2-six
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-libcnml
BuildRequires:  python3-mock
BuildRequires:  python3-networkx
BuildRequires:  python3-nose
BuildRequires:  python3-requests
BuildRequires:  python3-responses
BuildRequires:  python3-six
%endif # if with_python3

%description
Netdiff is a simple Python library that provides utilities for
parsing network topology data of open source dynamic
routing protocols and detecting changes in these topologies.

%package -n python2-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{pypi_name}}
Requires:       python2-libcnml
# python2-mock is missing, see https://bugzilla.redhat.com/show_bug.cgi?id=1301766
Requires:       python2-mock
#python2-networkx's name is python-networkx in Fedora < 24
%if 0%{?python2_networkx}
Requires:  python2-networkx
%endif
%if 1%{?python2_networkx}
Requires:  python-networkx
%endif
%if 0%{?old_python_prefix}
Requires:  python-nose
%else
Requires:  python2-nose
%endif
%if 0%{?old_python_prefix}
Requires:  python-requests
%else
Requires:  python2-requests
%endif
# python2-six is missing, see https://bugzilla.redhat.com/show_bug.cgi?id=1342037
Requires:  python2-six

%description -n python2-%{pypi_name}
Netdiff is a simple Python library that provides utilities for
parsing network topology data of open source dynamic
routing protocols and detecting changes in these topologies.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-libcnml
Requires:       python3-mock
Requires:       python3-networkx
Requires:       python3-nose
Requires:       python3-requests
Requires:       python3-six

%description -n python3-%{pypi_name}
Netdiff is a simple Python library that provides utilities for
parsing network topology data of open source dynamic
routing protocols and detecting changes in these topologies.
%endif # if with_python3

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif # if with_python3

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif # if with_python3

%check
%{__python2} setup.py test
%if 0%{?with_python3}
%{__python3} setup.py test
%endif # if with_python3

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*
%endif # if with_python3

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4.7-9
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 29 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.4.7-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.4.7-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Jun 02 2016 Germano Massullo <germano.massullo@gmail.com> - 0.4.7-2
- Fixed python-networkx prefix for Fedora > 23

* Fri Mar 04 2016 Germano Massullo <germano.massullo@gmail.com> - 0.4.7-1
- First commit on Fedora's Git
